> ## Documentation Index
> Fetch the complete documentation index at: https://docs.clipvision.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Download Video with Options API Endpoint

> This API endpoint allows a user to download a video with various options.



## OpenAPI

````yaml post /api/video/download/
openapi: 3.0.1
info:
  title: ClipVision API
  description: ClipVision AI API
  termsOfService: https://www.clipvision.ai/terms/
  contact:
    email: help@clipvision.ai
  license:
    name: ClipVision License
  version: v1
servers:
  - url: https://backend.clipvision.ai/
security:
  - Basic: []
  - api_key: []
paths:
  /api/video/download/:
    post:
      tags:
        - api
      summary: Download Video with Options API Endpoint
      description: >-
        This API endpoint allows a user to download a video with various
        options.
      operationId: download_video
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DownloadVideo'
        required: true
      responses:
        '200':
          description: Successfully started task to download video
          content:
            application/json:
              schema:
                title: Task
                type: object
                properties:
                  task_id:
                    type: integer
                  task_name:
                    type: string
                  task_status:
                    type: integer
                  user_id:
                    type: integer
                description: Task OpenAPI Schema
              example:
                task_id: 1
                task_name: test_task
                task_status: 1
                user_id: 1
        '400':
          description: Failed to download the video or validation errors
          content: {}
        '500':
          description: Failed to start task to download video
          content:
            application/json:
              schema:
                title: Internal Server Error
                type: object
                properties:
                  success:
                    type: boolean
                    default: false
                  error:
                    type: string
                    default: Internal Server Error
                description: Internal Server Error OpenAPI Schema
              example:
                success: false
                error: Internal Server Error
components:
  schemas:
    DownloadVideo:
      required:
        - url
      type: object
      properties:
        url:
          title: Url
          minLength: 1
          type: string
  securitySchemes:
    Basic:
      type: http
      scheme: basic
    api_key:
      type: apiKey
      name: User-JWT
      in: header

````